#include <Wire.h> 
#include "LiquidCrystal_I2C.h"

//TWI: A4 or SDA pin and A5 or SCL pin on Uno board
const uint8_t I2C_ADDR = 0x3F;
const uint8_t  BACKLIGHT_PIN = 3;
const uint8_t  En_pin = 2;
const uint8_t  Rw_pin = 1;
const uint8_t  Rs_pin = 0;
const uint8_t  D4_pin = 4;
const uint8_t  D5_pin = 5;
const uint8_t  D6_pin = 6;
const uint8_t  D7_pin = 7;

LiquidCrystal_I2C lcd(I2C_ADDR, En_pin, Rw_pin, Rs_pin, D4_pin, D5_pin, D6_pin, D7_pin, BACKLIGHT_PIN,POSITIVE);

void setup()
{

	lcd.begin(20,4);               // initialize the lcd 

	lcd.home ();  
	lcd.print(F("Hello World"));
	//  column,row
	lcd.setCursor(2,1);
	lcd.print(F("Pacificon 2015"));
	// wait 1000ms or 1 second
	delay(1000);
	lcd.setCursor(5, 4);
	lcd.print(F("k9jm.com"));
  /* add setup code here */
	delay(1000);
	lcd.autoscroll();
}


uint32_t i = 0;
void loop()
{
	lcd.clear();
	lcd.setCursor(12, 2);
	lcd.print(i);
	++i;
	if (i & 1)
		lcd.backlight();
	else
		lcd.noBacklight();
	delay(20);
}
